/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 * 
 * You should have find a copy of NFSChina License. If not, please contact us 
 * by email <os_support@nfschina.com>  
 * 
**/

#ifndef _DISK_BURN_WINDOW_H_
#define _DISK_BURN_WINDOW_H_

#include <gtk/gtk.h>
#include <config.h>
#include <libintl.h>

G_BEGIN_DECLS

#define _(String) dgettext(GETTEXT_PACKAGE,String)

#define DIST_TYPE_BURN_WINDOW (disk_burn_window_get_type ())

G_DECLARE_FINAL_TYPE (DiskBurnWindow, disk_burn_window, DISK, BURN_WINDOW, GtkWindow)

GtkWidget       *disk_burn_window_new         (const char *unix_device, const char *file_path);

G_END_DECLS

#endif /* __GS_BURN_WINDOW_H */
